# Method: sessions.delete

- [HTTP request](https://developers.google.com/photos/picker/reference/rest/v1/sessions/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/photos/picker/reference/rest/v1/sessions/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/photos/picker/reference/rest/v1/sessions/delete#body.request_body)
- [Response body](https://developers.google.com/photos/picker/reference/rest/v1/sessions/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/photos/picker/reference/rest/v1/sessions/delete#body.aspect)

Deletes the specified session.

A `NOT_FOUND` error is returned if the session does not exist or is not owned by the user.

An empty response indicates successful deletion.

### HTTP request

`DELETE https://photospicker.googleapis.com/v1/sessions/{sessionId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `sessionId` | `string` Required. The Google-generated identifier for the session to delete. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/photospicker.mediaitems.readonly`